velocity-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wgl...@apache.org
Subject svn commit: r832275 - in /velocity/engine/trunk: README.txt build/build.xml xdocs/docs/build.xml xdocs/docs/getting-started.xml xdocs/docs/index.xml
Date Tue, 03 Nov 2009 02:33:46 GMT
Author: wglass
Date: Tue Nov  3 02:33:45 2009
New Revision: 832275

URL: http://svn.apache.org/viewvc?rev=832275&view=rev
Log:
upgraded build requirements to ant 1.7 to simplify situation with junit.  (no need to copy
to ant lib directory)

Modified:
    velocity/engine/trunk/README.txt
    velocity/engine/trunk/build/build.xml
    velocity/engine/trunk/xdocs/docs/build.xml
    velocity/engine/trunk/xdocs/docs/getting-started.xml
    velocity/engine/trunk/xdocs/docs/index.xml

Modified: velocity/engine/trunk/README.txt
URL: http://svn.apache.org/viewvc/velocity/engine/trunk/README.txt?rev=832275&r1=832274&r2=832275&view=diff
==============================================================================
--- velocity/engine/trunk/README.txt (original)
+++ velocity/engine/trunk/README.txt Tue Nov  3 02:33:45 2009
@@ -108,7 +108,7 @@
 
 http://velocity.apache.org/engine/devel/build.html
 
-Note that you must use Ant version 1.6 or later.
+Note that you must use Ant version 1.7 or later.
 
 *IMPORTANT* As the Apache Velocity build process wants to download a
  number of jars from the internet, you must be online when you are

Modified: velocity/engine/trunk/build/build.xml
URL: http://svn.apache.org/viewvc/velocity/engine/trunk/build/build.xml?rev=832275&r1=832274&r2=832275&view=diff
==============================================================================
--- velocity/engine/trunk/build/build.xml (original)
+++ velocity/engine/trunk/build/build.xml Tue Nov  3 02:33:45 2009
@@ -1179,6 +1179,25 @@
   <target name="test-main" depends="build-prepare,compile-test"
           description="Run the Velocity testcases">
 
+    <!-- Require ant 1.7+ for Junit compatibility -->
+	<fail message="You are currently using ${ant.version}">
+			<condition>
+				<or>
+				<contains string="${ant.version}" substring="1.2"/>
+				<contains string="${ant.version}" substring="1.3"/>
+				<contains string="${ant.version}" substring="1.4"/>
+				<contains string="${ant.version}" substring="1.5"/>
+				<contains string="${ant.version}" substring="1.6"/>
+			</or>
+		</condition>
+	      Could not run junit tests:
+	  ***********************************************************
+	  **
+	  ** Ant must be at least version 1.7
+	  **
+	  ***********************************************************
+  	</fail>
+
     <mkdir dir="${build.test.reports}"/>
     <junit dir="${velocity.dir}"
            fork="true"

Modified: velocity/engine/trunk/xdocs/docs/build.xml
URL: http://svn.apache.org/viewvc/velocity/engine/trunk/xdocs/docs/build.xml?rev=832275&r1=832274&r2=832275&view=diff
==============================================================================
--- velocity/engine/trunk/xdocs/docs/build.xml (original)
+++ velocity/engine/trunk/xdocs/docs/build.xml Tue Nov  3 02:33:45 2009
@@ -45,7 +45,7 @@
 
 
 <p>Ant is also an Apache project, and can be
-found <a href="http://ant.apache.org/">here</a>. To build Apache Velocity, you
need at least Version 1.6 of Apache Ant.
+found <a href="http://ant.apache.org/">here</a>. To build Apache Velocity, you
need at least Version 1.7 of Apache Ant.
 </p>
 
 <p>
@@ -73,7 +73,7 @@
 
 <p>
 To make building Velocity easy and consistent, we require an Apache project
-called <a href="http://ant.apache.org/">Ant</a> version 1.6 or
+called <a href="http://ant.apache.org/">Ant</a> version 1.7 or
 higher to perform the build process. We assume that you have followed
 Ant's installation instructions and have it properly installed.
 </p>
@@ -307,11 +307,6 @@
 well with your build of Velocity.
 </p>
 
-<p>The tests are run with the ant task &lt;junit&gt;.  For ant 1.6, this task
requires that 
-<code>junit.jar</code> be copied into the <code>lib</code> subdirectory
of your 
-ant directory.  For ant 1.7 this is not required.
-</p>
-
 <p>
 To run the test suite, simply use the build target
 <b>test</b> when you build:

Modified: velocity/engine/trunk/xdocs/docs/getting-started.xml
URL: http://svn.apache.org/viewvc/velocity/engine/trunk/xdocs/docs/getting-started.xml?rev=832275&r1=832274&r2=832275&view=diff
==============================================================================
--- velocity/engine/trunk/xdocs/docs/getting-started.xml (original)
+++ velocity/engine/trunk/xdocs/docs/getting-started.xml Tue Nov  3 02:33:45 2009
@@ -107,7 +107,7 @@
 <p>
 <b>Note:</b> Velocity uses the <a href="http://ant.apache.org/">Apache
Ant</a>
 build tool for all code and documentation generation, so you will need to have it
-installed. Velocity requires at least Apache Ant 1.6.
+installed. Velocity requires at least Apache Ant 1.7.
    </p>
 
 </section>

Modified: velocity/engine/trunk/xdocs/docs/index.xml
URL: http://svn.apache.org/viewvc/velocity/engine/trunk/xdocs/docs/index.xml?rev=832275&r1=832274&r2=832275&view=diff
==============================================================================
--- velocity/engine/trunk/xdocs/docs/index.xml (original)
+++ velocity/engine/trunk/xdocs/docs/index.xml Tue Nov  3 02:33:45 2009
@@ -55,7 +55,7 @@
 
     <section name="Where do I get releases?" href="WheredoIgetreleases?">
 
-      <p> The current stable release version is version 1.6.1. </p>
+      <p> The current stable release version is version 1.6.2. </p>
 
       <p> The release distribution is available as a combined source/binary distribution
in
         <code>tar.gz</code> and



Mime
View raw message